#
# Makefile for the GNU LessTif library (include/XmI-2.0 directory)
#
# Copyright (C) 1995 Free Software Foundation, Inc.
#
# This file is part of the GNU LessTif Library.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free
# Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

srcdir=@srcdir@

all::	links

install:

clean::	cleanlinks

distclean:

SRCS12 = \
	AtomMgrI.h \
	CutPasteI.h \
	DebugUtil.h \
	DragDropI.h \
	HashI.h \
	ImageCacheI.h \
	LTEditresP.h \
	MacrosI.h \
	TraversalI.h \
	XmI.h \
	XmXpm.h

EXTRA12 =

SRCS_2_0 =

SRCS   = ${SRCS12} ${SRCS_2_0}

OSRCS12= ${SRCS12:%=$(srcdir)/../../Motif-1.2/Mrm/%}

links:
	@for i in ${SRCS12} ${EXTRA12}; do \
	  if [ ! -r $(srcdir)/$$i ]; then \
	    ln -s $(srcdir)/../../Motif-1.2/Mrm/$$i $(srcdir) ;\
	  fi ;\
        done

cleanlinks::
	@for i in ${SRCS12} ${EXTRA12}; do \
	  rm -f $(srcdir)/$$i ;\
        done
